## GtkPlotCanvasText GtkPlotCanvasText |

## Functions

GtkPlotCanvasChild * | gtk_plot_canvas_text_new ()
void | gtk_plot_canvas_text_set_attributes ()

## Properties

gpointer | text | Read / Write

## Types and Values

struct | GtkPlotCanvasText

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkPlotCanvasChild
                    ╰── GtkPlotCanvasText

## Includes

    #include <gtkextra.h>

## Description

FIXME:: need long description

## Functions

### gtk_plot_canvas_text_new ()

    GtkPlotCanvasChild *
    gtk_plot_canvas_text_new (const gchar *font,
                              gint height,
                              gint angle,
                              const GdkColor *fg,
                              const GdkColor *bg,
                              gboolean transparent,
                              GtkJustification justification,
                              const gchar *real_text);

### gtk_plot_canvas_text_set_attributes ()

    void
    gtk_plot_canvas_text_set_attributes (GtkPlotCanvasText *text,
                                         const gchar *font,
                                         gint height,
                                         gint angle,
                                         const GdkColor *fg,
                                         const GdkColor *bg,
                                         gboolean transparent,
                                         GtkJustification justification,
                                         const gchar *real_text);

#### Parameters

text | a GtkPlotCanvasText. |

## Types and Values

### struct GtkPlotCanvasText

    struct GtkPlotCanvasText;

The GtkPlotCanvasText struct contains only private data. It should only be accessed through the functions described below.

## Property Details

### The `“text”` property

      “text”                     gpointer

Text Attributes.

Flags: Read / Write